MKDIR(1)

NAZWA
mkdir - tworzy katalogi

SKŁADNIA
mkdir [opcja] katalog...

OPIS
Dokumentacja niniejsza nie jest już utrzymywana i może być niedokładna lub niekompletna. Autorytatywnym źródłem jest obecnie dokumentacja Texinfo. Dostęp do niej uzyskasz wpisując w wierszu poleceń:
    pinfo mkdir
lub
    info mkdir.

Ta strona podręcznika man opisuje polecenie mkdir w wersji GNU.

mkdir tworzy katalogi o podanych nazwach. Domyślnie prawa do tworzonych katalogów to 0777 (`rwxrwxrwx') minus bity ustawione w umask.

Jeśli katalog jest nazwą istniejącego pliku a nie katalogu, to mkdir wysyła na standardowe wyjście błędów komunikat ostrzegawczy i po przetworzeniu pozostałych katalogów kończy działanie z kodem zakończenia równym 1. Taka sama akcja jest podejmowana gdy katalog określa nazwę istniejącego katalogu a nie podano opcji -p. Jeżeli katalog istnieje a została użyta opcja -p, to mkdir będzie go ignorować. To znaczy, mkdir nie wypisze ostrzeżenia, nie zgłosi błędu ani nie zmieni trybu dostępu tego katalogu (nawet jeśli podano opcję -m), po prostu przejdzie do przetwarzania pozostałych kolejnych katalogów.

OPCJE

-m tryb, --mode=tryb
    Tworzonym katalogom nadaje prawa dostępu zgodnie z parametrem tryb, przekazanym symbolicznie, jak w chmod. Używa jako punktu wyjścia `a=rwx' (odczyt, zapis i wykonywanie dozwolone dla wszystkich) minus bity ustawione w umask. Zobacz `Prawa pliku' w podręczniku fileutils(1).

-p, --parents
    Dla każdego argumentu tworzy wszystkie brakujące katalogi nadrzędne. Katalogom nadrzędnym nadawany jest tryb według umask zmodyfikowanego przez `u+wx'. Ignoruje argumenty odpowiadające istniejącym katalogom.

-v, --verbose
    Wyświetla komunikat dla każdego utworzonego katalogu. Najprzydatniejsze z --parents.

--help
    Wyświetla informację o stosowaniu programu i dostępnych opcjach, kończy działanie.

--version
    Wyświetla numer wersji programu i kończy działanie.

AUTOR
Napisane przez Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Błędy proszę zgłaszać, w jęz.ang., do <bug-fileutils@gnu.org>.

COPYRIGHT
Copyright © 1999 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

ZOBACZ TAKŻE
rmdir(1), fileutils(1).

OD TŁUMACZA
Zaktualizowano i poszerzono wg dokumentacji Texinfo dla narzędzi plikowych GNU wersji 4.01.